#!/bin/bash
IPA=$1
SANDBOX=$2
echo "Installing $IPA to $SANDBOX..."
unzip "$IPA" -d "$SANDBOX"
cd "$SANDBOX"
mv "$SANDBOX/Payload/`ls "Payload"`" "$PWD"
if [ -d "Payload" ]; then
		rm -rf "Payload"
fi
APP="`ls -d *.app/`"
mkdir "Library"
mkdir "Documents"
mkdir "tmp"
chown -R mobile:mobile "$SANDBOX"
chown -R mobile:wheel "$APP"
chown mobile:wheel "$SANDBOX"/*
chmod -R 775 "$SANDBOX"/*
cd "$APP"
CFBUNDLEEXECUTABLE="`grep 'CFBundleExecutable' -A 1 "Info.plist" | grep -G -o '<string>.*</string>' | sed 's/<.\{1,2\}tring>//g'`"
CFBUNDLEIDENTIFIER="`grep 'CFBundleIdentifier' -A 1 "Info.plist" | grep -G -o '<string>.*</string>' | sed 's/<.\{1,2\}tring>//g'`"
CFBUNDLENAME="`grep 'CFBundleName' -A 1 "Info.plist" | grep -G -o '<string>.*</string>' | sed 's/<.\{1,2\}tring>//g'`"
cp -p "$CFBUNDLEEXECUTABLE" "$CFBUNDLEEXECUTABLE.bak"
od -A n -N 4096 -t x1 --w=4096 "$CFBUNDLEEXECUTABLE" | sed 's/ //g' | sed 's/2f7573722f6c69622f64796c64.*/2f7573722f6c69622f64796c64/g' > "$CFBUNDLEEXECUTABLE.hex"
set `stat -c%s "$CFBUNDLEEXECUTABLE.hex"`
set `expr $(($1 + 253)) / 2`
rm "$CFBUNDLEEXECUTABLE.hex"
printf "\x0" | dd bs=1 conv=notrunc of="$CFBUNDLEEXECUTABLE.bak" seek=$1
